CARDCTL(8)

NAME
cardctl - PCMCIA card control utility

SYNOPSIS
cardctl [-V] command [socket]
cardctl [-c config] [-f scheme] [-s stab] scheme [name]

DESCRIPTION
Cardctl is used to monitor and control the state of PCMCIA sockets. If a socket number is specified, the command will be applied to just one socket; otherwise, all sockets will be affected.

Cardctl is also used to select between multiple PCMCIA configuration schemes. The current scheme name is passed to the device option scripts as part of the ``device address'', so the scripts can use it to choose between different setups.

If cardctl is executed by root, all commands are available. If it is executed by an unpriviledged user, only the informational commands are accessible.

Some commands may not work or give misleading results if cardmgr is not running.

COMMANDS

status
    Display the current socket status flags.

config
    Display the socket configuration, including power settings, interrupt and I/O window settings, and configuration registers.

ident
    Display card identification information, including product identification strings, manufacturer ID codes, and function ID codes.

info
    Much like the ident command, but its output is formatted as a series of Bourne-stype shell variable definitions for use in scripts.

suspend
    Shut down and then disable power for a socket.

resume
    Restore power to a socket, and re-configure for use.

reset
    Send a reset signal to a socket, subject to approval by any drivers already bound to the socket.

eject
    Notify all client drivers that this card will be ejected, then cut power to the socket.

insert
    Notify all client drivers that this card has just been inserted.

scheme
    If no scheme name is given, cardctl will display the current PCMCIA configuration scheme. If a scheme name is given, cardctl will unconfigure all PCMCIA devices, and reconfigure for the new scheme.

OPTIONS

-V  Show version information and exit.

-c config
    Look for the card configuration database and card configuration scripts in the specified directory, instead of /etc/pcmcia.

-f scheme
    Use the specified file to keep track of the current configuration scheme, instead of /var/lib/pcmcia/scheme.

-s stab
    Read current socket information from the specified file, instead of /var/lib/pcmcia/stab.

AUTHOR
David Hinds - dahinds@users.sourceforge.net

SEE ALSO
cardmgr(8).